@import "libs/shared/assets/src/global-style/variable";

.logo {
  padding: 16px;
  height: 64px;

  em {
    color: #fff;
    font-size: 25px;
    cursor: pointer;
  }
}

.menu__input--search {
  padding: 25px 16px;

  ::ng-deep .input__group.search__collapsed--t {
    text-align: center;
  }

  ::ng-deep .input__group--group {
    padding: 8px 10px;
    background: rgba(255, 255, 255, 0.14);
    color: #fff;
    border-radius: 8px;
    border-color: rgba(255,255,255,0.14);
    outline: none;
    box-shadow: none;
    min-height: 40px;

    &:hover, &:focus {
      border-color: rgba(255,255,255,0.14);
    }

    ::ng-deep .input__text {
      background: transparent;
      font-size: 14px;
      color: #fff;

      @include placeholder{
        color: rgba(255,255,255,0.5);
      }
    }

    .icon__close {
      cursor: pointer;
    }

  }

}

nz-layout {
  height: 100vh;
}

nz-sider {
  background: $bg-sidebar-primary;
  overflow-x: hidden;
  -ms-overflow-style: none;
  scrollbar-width: none;
 /* max-width: 100%!important;
  min-width: 300px;
  width: auto!important;*/

  &::-webkit-scrollbar {
    display: none;
  }
}

nz-sider.sidebar__primary--no-mobile {
  position: absolute;
  left: 0;
  height: 100vh;
  z-index: 1000000;
}

nz-sider.sidebar__primary.sidebar__primary--mobile {
  position: absolute;
  z-index: 10000;
  height: 100%;
  overflow-y: scroll;
}

nz-sider.sidebar__primary.sidebar__primary--no-active.sidebar__primary--mobile {
  visibility: hidden;
  z-index: -1;
}

nz-breadcrumb {
  height: 56px;
  line-height: 56px;
  background: $bg-gray-off-white;
  box-shadow: inset 0px 15px 20px -15px #e5e5e5;
  padding: 0 25px;

  .breadcrumb__items {
    overflow-x: auto;
    white-space: nowrap;
    -ms-overflow-style: none;
    scrollbar-width: none;

    &::-webkit-scrollbar {
      display: none;
    }
  }

  nz-breadcrumb-item a {
    color: $color-breadcrumb-title;
  }

  nz-breadcrumb-item:last-child a {
    color: $color-breadcrumb-title-active;
  }

  .icon__home {
    margin-right: 10px;
    font-size: 20px;
  }
}

nz-page-header {
  height: 60px;
  line-height: 60px;
  padding: 0 25px;

  ::ng-deep .ant-page-header-heading {
    height: 100%;

    ::ng-deep .ant-page-header-heading-title {
      color: $bg-gray-dark;
      font-size: 20px;
    }
  }
}

.inner-content {
  margin: 0 24px;
  overflow-y: auto;
  overflow-x: hidden;
  -ms-overflow-style: none;
  scrollbar-width: none;

  &::-webkit-scrollbar {
    display: none;
  }
}

.inner-content--no-page {
  //padding: 16px 24px 0 24px;
  height: calc(100vh - 74px);
}

.inner-content--page {
  margin: 0 24px;
  height: calc(100vh - 192px);
}

.img__false {
  margin-right: 15px;
}

::ng-deep .ant-menu-sub {
  .img__true {
    margin-right: 15px;
  }
}

.ant-menu-inline-collapsed {
  width: 88px;
}

::ng-deep .ant-menu-inline .ant-menu-submenu {
  margin-bottom: 2px;
  border-radius: 8px;
  padding-bottom: 10px;
}

::ng-deep .ant-layout-sider-collapsed .ant-menu-dark .level__1.ant-menu-submenu-open {
  background: rgba(255, 255, 255, 0.14);
  border-radius: 8px;
}

::ng-deep .ant-menu-dark .level__2.ant-menu-submenu-open {
  //background: #00009A;
  border-radius: 8px;
}

::ng-deep .ant-menu-dark .level__1 > .ant-menu-inline.ant-menu-sub {
  //background: #141ED2!important;
}

::ng-deep .ant-menu-dark .level__2 .ant-menu-inline.ant-menu-sub {
  //background: #00009A!important;
}

::ng-deep .ant-menu-submenu-arrow, ::ng-deep .ant-menu-submenu-expand-icon {
  right: 8px;
}

::ng-deep .ant-menu-inline .ant-menu-submenu-title {
  margin-top: 0px;
  margin-bottom: 0px;
  padding-left: 8px!important;
  height: auto!important;
  min-height: 48px!important;
  padding-right: 20px;
}

::ng-deep .ant-menu-inline .ant-menu-submenu-open.level__1 > .ant-menu-submenu-title {
  background: rgba(255,255,255,0.14);
  border-radius: 8px;
}

::ng-deep .menu-primary .ant-menu-submenu-open > .ant-menu-submenu-title {

  > span, > i {
    color: #fff!important;
  }
}

::ng-deep .menu-primary .ant-menu-submenu-open > .ant-menu-submenu-title .icon__open--menu::before {
  content: "\f068";
}

::ng-deep .menu-primary .ant-menu-submenu-title .icon__open--menu::before {
  content: "\f067";
}
.flex-footer {
  display: flex;
  justify-content: space-evenly;
  padding-bottom: 0.5rem;
}

.menu-item-flex {
  height: 48px !important;
  line-height: 48px;
  margin-bottom: 15px !important;
  margin-top: 0;
  transition: 0.5s;

  a {
    max-width: calc(100% - 45px);
    line-height: 1.2;

    span {
      white-space: pre-wrap;
      display: inline-flex;
      line-height: 1.2;
    }
  }

  .bg__active_top {
    height: 20px;
    width: 20px;
    position: absolute;
    overflow: hidden;
    z-index: 100;
    right: -16px;
    top: -20px;

    &::before {
      content: "";
      display: block;
      width: 180%;
      height: 180%;
      position: absolute;
      border-radius: 50%;
      bottom: 0px;
      right: 0px;
      box-shadow: 5px 8px 0 0 $bg-sidebar-menu-active;
    }
  }

  .bg__active_bot {
    height: 20px;
    width: 20px;
    position: absolute;
    overflow: hidden;
    z-index: 100;
    right: -16px;
    bottom: -20px;

    &::before {
      content: "";
      display: block;
      width: 180%;
      height: 180%;
      position: absolute;
      border-radius: 50%;
      top: 0;
      right: 0;
      box-shadow: 5px -16px 0 0 $bg-sidebar-menu-active;
    }
  }
}

.menu-item-flex:last-child {
  margin-bottom: 0 !important;
}

::ng-deep .ant-menu-dark.ant-menu-submenu-popup {
  display: none;
}
::ng-deep .ant-menu-submenu {

  ::ng-deep .ant-menu-sub {
    padding-left: 0!important;
    padding-right: 0!important;
  }
}

.ant-layout-sider-collapsed {

  .menu-item a {
    opacity: 0;
    display: none;
  }

  .menu-item-flex {
    display: block;
    text-align: center;
    span {
      white-space: nowrap;
    }
  }

  ::ng-deep .ant-menu-submenu-title {
    text-align: center;
    padding: 0!important;
  }

}

::ng-deep .ant-menu-submenu-popup.ant-menu-dark .ant-menu-item-selected, ::ng-deep .ant-menu.ant-menu-dark .ant-menu-item-selected {
  background-color: $bg-sidebar-menu-active !important;
  border-radius: 8px;
  overflow: visible;

  span {
    color: $bg-sidebar-text-active !important;
  }

  .bg__active_top {
    right: 0;
    transition: 0.5s;
  }

  .bg__active_bot {
    right: 0;
    transition: 0.5s;
  }

  /*&::before {
    content: "\f105";
    font-family: "Font Awesome 5 Pro", serif;
    position: absolute;
    color: $bg-gray-dark;
    right: 20px;
    font-size: 20px;
  }*/
}

::ng-deep .ant-menu.ant-menu-dark .level__2 .ant-menu-item-selected {
  background: none!important;
}

::ng-deep .ant-menu.ant-menu-dark .level__2.ant-menu-item-selected {
  background: none!important;
}

::ng-deep .ant-menu.ant-menu-dark, ::ng-deep .ant-menu-dark .ant-menu-sub {
  background: $bg-sidebar-primary !important;
  padding-left: 16px;
  padding-right: 16px;

  .ant-menu-submenu-arrow {
    opacity: 1 !important;
    display: none;
  }

  .ant-menu-submenu-title span {
    line-height: 1.2;
    display: revert;
    white-space: pre-wrap;
    width: 100%;
  }

}

::ng-deep .level__2.ant-menu-submenu-open > .ant-menu ul::before {
  content: "";
  width: 1px;
  height: 100%;
  position: absolute;
  background: #4B4B64;
  top: 0;
  left: 16px;
}

::ng-deep .level__2.ant-menu-submenu-open > .ant-menu ul {
  position: relative;
}

::ng-deep .ant-menu.ant-menu-dark .level__1 > .ant-menu-submenu-title {

  .ant-menu-submenu-arrow {
    display: inline-block;
  }

}

::ng-deep .ant-menu.ant-menu-inline-collapsed>.ant-menu-submenu>.ant-menu-submenu-title .ant-menu-submenu-arrow {
  opacity: 0!important;
}

::ng-deep .text__search--highlight {
  color: #FA0B0B!important;
}

::ng-deep .ant-menu.ant-menu-dark .ant-menu-item-selected span .text__search--highlight {
  color: #FA0B0B!important;
}

.noti-custom {
  display: inline-block !important;
  height: 25px;
  width: 25px !important;
  border-radius: 50%;
  padding: 4px;
  text-align: center;
  margin-left: 0.4rem;
  background: #FA0B0B;
}
@media screen and (max-width: 992px) {
  .logo {
    text-align: center;
  }
}

::ng-deep .pageNameClass {
  display: flex;

  .backBtnClass .btn-back span {
    color: black;
  }
}

.backBtnClass {
  margin-left: -16px;
  margin-right: 5px;
}

